2026-01-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.54, APNG patch version 1.6.54

2025-12-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.53, APNG patch version 1.6.53

2025-12-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.52, APNG patch version 1.6.51

2025-11-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: APNG patch version 1.6.51

2025-11-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.51, APNG patch version 1.6.50

2025-07-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: APNG patch version 1.6.50

2025-07-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.50, APNG patch version 1.6.49

2025-06-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: APNG patch version 1.6.49

2025-06-14 Pavel Vinogradov <public@sourcemage.org?
	* DETAILS: version 1.6.49, APNG patch version 1.6.48

2025-05-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.48, APNG patch version 1.6.47

2025-03-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: spell and APNG patch version 1.6.47

2025-01-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: spell and APNG patch version 1.6.46

2025-01-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: spell and APNG patch version 1.6.45

2024-09-13 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.44, APNG patch version 1.6.43

2024-02-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.43, APNG patch same version
	* PRE_BUILD: unpack_file -> verify_file

2024-01-31 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.42, APNG patch version 1.6.40

2023-06-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.40, APNG patch version 1.6.39

2022-11-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: APNG patch version 1.6.39

2022-11-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.39, APNG patch version 1.6.38

2022-09-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: APNG patch version 1.6.38, refactored source urls

2022-09-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.38, APNG patch version 1.6.37

2022-07-27 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: switch to PKG-CONFIG provider (automated)

2021-01-13 Ismael Luceno <ismael@sourcemage.org>
	* PRE_BUILD: disabled installation of libtool pseudo-libraries
	* BUILD: disabled static library
	* DETAILS: PATCHLEVEL++

2019-04-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: APNG patch version 1.6.37

2019-04-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.37, SECURITY_PATCH++,
	  (CVE-2019-7317, CVE-2018-14048, CVE-2018-14550)

2018-12-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.36

2018-08-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: APNG patch version 1.6.35

2018-07-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.35, switched to hashsum checking,
	  APNG patch was reused from 1.6.34

2017-09-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.34

2017-08-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.32

2017-08-14 Remko van der Vossen <wich@sourcemage.org>
	* UP_TRIGGERS: use find_depends.function

2017-07-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.31

2017-07-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.30

2017-03-23 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: apng patch 1.6.29

2017-03-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.29, apng patch was kept from 1.6.28

2017-01-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.28

2017-01-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: fixed SOURCE3_URL[0] as well

2016-12-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.6.27, SECURITY_PATCH++,
	  http://openwall.com/lists/oss-security/2016/12/29/2,
	  apng patch is the same

2016-10-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.26
	* DETAILS: add gpg checking
	* libpng.gpg: add  A16C640F: public key "Glenn Randers-Pehrson (mozilla) <glennrp+bmo@gmail.com>"
	* PRE_BUILD: adjust

2016-08-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.6.24, SECURITY_PATCH=13

2016-06-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.23

2016-06-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.22

2016-02-25 Remko van der Vossen <wich@sourcemage.org>
	* UP_TRIGGERS: Find libpng dependencies in lib-tool archives.
	               Outright dispel libpng dependers in case of major
		       version upgrade. This allows our cyclic dependency
		       mitigations in various spells' DEPENDS files to
		       work.
		       Allow the user to bail out.

2016-02-07 Thomas Orgis <sobukus@sourcemage.org>
	* UP_TRIGGERS: Do not require grep -P. It's optional.

2016-01-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.21
	  swap order of download sites, sourceforge is much faster

2015-12-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.20

2015-11-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.19
	  SECURITY_PATCH++, fixes CVE-2015-7981

2015-11-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: libpng-apng patch upstream hash differs, modification date is
	  2015-07-25.

2015-08-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.18

2015-07-28 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: fix SOURCE_URLs, fix checksum

2015-05-25 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: remove SOURCEFORGE_URL usage (automated)

2015-03-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.6.17

2014-12-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.16

2014-11-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.15
	  SECURITY_PATCH++

2014-08-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.13

2014-06-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.12

2014-03-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.10
	  SECURITY_PATCH++, fixes CVE-2014-0333

2014-02-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.9

2013-12-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.8

2013-11-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.7

2013-10-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.6

2013-09-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.5

2013-07-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.3
	* PRE_BUILD: generalise

2013-04-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.2

2013-04-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.1

2013-02-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.6.0

2012-07-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.50, SECURITY_PATCH=9, CVE-2012-3386

2012-03-31 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.49, SECURITY_PATCH=8, CVE-2011-3048

2012-02-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.47, SECURITY_PATCH=7, CVE-2011-3026

2011-09-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.46
	  SECURITY_PATCH=6
	  multiple security fixes
	  CVE-2011-2690, CVE-2011-2691, CVE-2011-2692, CVE-2004-042
	  see <http://www.libpng.org/pub/png/src/libpng-1.2.46-README.txt>

2010-08-10 Remko van der Vossen <wich@sourcemage.org>
	* UP_TRIGGERS: find spells to recast on ABI incompatible upgrade

2010-06-28 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.44, SECURITY_PATCH=5

2010-03-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.43, SECURITY_PATCH=4
	  http://libpng.sourceforge.net/ADVISORY-1.4.1.html

2010-01-06 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.42

2009-12-07 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.41; used upstream url for ani patch
	* PRE_BUILD: apply new patch
	* libpng-1.2.38-apng.patch.gz: removed

2009-09-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.40

2009-08-13 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.39

2009-07-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.38
	* PRE_BUILD, libpng-1.2.38-apng.patch.gz: added patch from
	  http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
	* libpng-1.2.37-apng.patch.gz: removed

2009-06-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.37
	* PRE_BUILD, libpng-1.2.37-apng.patch.gz: added patch from
	  http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
	* libpng-1.2.31-apng.patch.bz2: removed

2009-05-08 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.36
	* pngconf-setjmp.patch: removed

2009-02-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.35

2008-12-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.34

2008-12-01 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: fixed compiler error for the apps like inkscape
	* DETAILS: PATCHLEVEL+=1
	* pngconf-setjmp.patch: added

2008-10-31 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.33

2008-09-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.32

2008-08-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.31, fixed the desc, cleaned up
	* PRE_BUILD: cleaned up, quoting the paths!
	* libpng-1.2.26-apng.patch => libpng-1.2.31-apng.patch, bzipped

2008-06-17 Arwed v. Merkatz <v.merkatz@gmx.net>
	* REPAIR^none^PRE_SUB_DEPENDS: added so the sub_depends actually works
	  if libpng is already installed

2008-06-17 Vlad Glagolev <stealth@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: added APNG subdep
	* PRE_BUILD: added warn-comment about apng-patch

2008-05-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.29
	* DEPENDS: removed autoconf, automake and libtool
	* PRE_BUILD: removed sed and autogen.sh

2008-05-03 George Sherwood <george@beernabeer.com>
	* DETAILS: Downgraded to 1.2.28.
	* DEPENDS: Added autoconf, automake, libtool for autogen.sh.
	* PRE_BUILD: Added fix from gentoo for broken Makefile.am.
	  Patch for ani png applies.  Fixes Bug #14486.

2008-05-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.29beta03

2008-04-14 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.27beta03

2008-04-14 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: updated to 1.2.27beta01 to fix
	   http://libpng.sourceforge.net/Advisory-1.2.26.txt
	   incremented SECURITY_PATCH

2008-04-03 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: apng patch updated for 1.2.26 to fix compilation problem

2008-04-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.26

2008-02-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.25
	* DEPENDS: cleaned up the spaces

2007-12-20 George Sherwood <george@beernabeer.com>
	* PRE_BUILD: Update apng patch to 1.2.24
	* libpng-1.2.23-apng.patch: removed
	* libpng-1.2.24-apng.patch: Added

2007-12-15 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.2.24

2007-12-01 George Sherwood <george@beernabeer.com>
	* CONFIGURE: Added to query concerning animated png's
	* PRE_BUILD: Added to apply patch from
	  http://littlesvr.ca/apng/
	* libpng-1.2.23-apng.patch: Added optional patch for animated
	  png's.  Needed for firefox 3
	
2007-11-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.23

2007-10-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.21

2007-10-04 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.21

2007-09-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.20

2007-08-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.19

2007-05-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.18
	* SECURITY_PATCH++
	  Fixes CVE-2007-2445 

2007-01-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.16

2007-01-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.15

2006-11-30 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Fix sig, bug #13296 

2006-11-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.14

2006-11-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.13, SECURITY_PATCH=1 (potential buffer overflow)

2006-06-28 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.2.12

2006-06-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.11
	  additional SOURCE_URL

2006-04-22 George Sherwood <george@beernabeer.com>
	* DETAILS: Downgraded to version 1.2.8.  Breaks at least gimp.
	  Bug reported to gimp upstream author. Bug #339402.

2006-04-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.2.9
	  use .bz2

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2005-11-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Update to use config version. Update UPDATED.
	* BUILD: Deleted. Used default build with config version.

2004-12-04 David Braaten <xiticix47@hotmail.com>
	* DETAILS: upgrade to 1.2.8.

2004-09-12 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.2.7.

2004-08-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: converted to BUILD_API 2, cleanups,
	  install man pages to /usr/share/man instead of /usr/man,
	  use $INSTALL_ROOT

2004-08-15 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.2.6.

2004-08-15 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* DETAILS: upgrade to 1.2.6rc5, rc1 is badly broken;

2004-08-14 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.2.6rc1;
	* BUILD,*.patch: no patching necessary.

2004-08-04 Seth Woolley <seth@tautology.org>
	* BUILD, DETAILS, libpng-buffer.patch: SECURITY FIX
	  http://www.securityfocus.com/archive/1/370853

2004-06-08 Seth Woolley <seth@tautology.org>
	* BUILD, libpng-1.2.5-can-2002-1363.patch: added cleanup patch for earlier vulns

2004-05-02 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix compiler error message when using gcc-3.4.0
	  pnggccrd.c: In function `png_read_filter_row':
	  pnggccrd.c:4496: error: PIC register `%ebx' clobbered in `asm'
	  pnggccrd.c:4920: error: PIC register `%ebx' clobbered in `asm'

2004-05-01 Seth Woolley <seth@tautology.org>
	* BUILD, libpng-1.2.5-can-2004-0421.patch: added patch for DoS vuln.

2003-11-13 hgg <hgreig@bigpond.net.au>
	* DEPENDS: add pkgconfig

2003-07-09 hgg <hgreig@bigpond.net.au>
	* DETAILS: Updated to 1.2.5 some spells might need -lz -lm added to -lpng

2002-01-12 Seth Woolley <seth@tautology.org>
	* DETAILS: downgraded to 1.2.4 cleaned HISTORY

2002-10-25 Seth Woolley <seth@tautology.org>
	* TRIGGERS: Added TRIGGERS file for zlib
	* DETAILS: UPDATED incremented to force recompile for zlib

2002-10-09 Seth Woolley <seth@tautology.org>
	* DETAILS: Updated to 1.2.5, thanks Sergey for the diff

2002-07-27 Unet <unet@sourcemage.org>
	* DETAIILS: Updated to 1.2.4!

2002-05-22 Unet <unet@sourcemage.org>
	* DETAILS: to 1.2.3 [later] modified DETAILS in order to build correctly

2002-05-09 Unet <unet@sourcemage.org>
	* DETAILS: point to sourceforge new sites, bug #67 fixed.

2002-04-29 Unet <unet@sourcemage.org>
	* BUILD: Fixed the BUILD to have png.h and pngconf.h copied to 
	  /usr/include.

2002-04-18 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Updated to 1.2.2. Added a SOURCE2, which is a fix of many a makefile.
